Subject: bug#16820: 24.3; nxml comment block indentation issue

From: Nathan Eagleson <[email-masked]>
Date: Thu, 22 Oct 2020 22:43:16 -0400

Sure thing. I'm sorry for completely missing your first request for info.

On Tue, Oct 20, 2020 at 12:03 PM Stefan Kangas <[email-masked]> wrote:

> reopen 16820
> tags 16820 confirmed
> thanks
>
> Nathan Eagleson <[email-masked]> writes:
>
> > Sorry, I missed your original request.
> >
> > This seems like a bug to me because multi-paragraph comment bodies are
> > usually indented to align with the comment start token.
> >
> > If you strip trailing whitespace on save, this behavior results in bad
> > comment indentation, something like:
> >
> >     <!-- First line of comment is here. It may go on for
> >     several lines in a format something like you'd expect.
> >
> > After the blank line, the comment is outdented relative to the
> > comment start/end markers.
> >
> >     -->
> >
> > This is all from distant memory, so apologies if I'm describing it
> > incorrectly.
>
> Oh, right.  Yes, that indeed does seem like a bug.  Reopening.
>
> Thanks for writing back.
>